Skip to main content

Documentation Index

Fetch the complete documentation index at: https://developer.wooxpro.com/llms.txt

Use this file to discover all available pages before exploring further.

Get All Open Orders (KEYED)

Applicable for querying contract all open orders

Request URL

GET https://cloud-api.wooxpro.com/contract/private/get-open-orders

Request Limit

See Detailed Rate Limit

Request Parameter

Request
curl -H 'X-BM-KEY:{{AccessKey}}'
https://cloud-api.wooxpro.com/contract/private/get-open-orders?symbol=BTCUSDT&order_state=partially_filled&type=market&limit=10
FieldTypeRequired?Description
symbolStringNoSymbol of the contract(like BTCUSDT)
typestringNoOrder type
-limit
- market
- trailing
order_statestringNoOrder state
-all(default)
- partially_filled
limitintNoThe number of returned results, with a maximum of 100 and a default of 100

Response Data

Response
{
  "code": 1000,
  "message": "Ok",
  "data": [
    {
      "order_id": "220908185908509",
      "client_order_id": "BM123",
      "price": "14277",
      "size": "7216",
      "symbol": "BTCUSDT",
      "state": 4,
      "side": 3,
      "type": "limit",
      "position_mode": "hedge_mode",
      "leverage": "0",
      "open_type": "isolated",
      "deal_avg_price": "14277",
      "deal_size": "7216",
      "preset_take_profit_price_type": 1,
      "preset_stop_loss_price_type": 2,
      "preset_take_profit_price": "68000",
      "preset_stop_loss_price": "60000",
      "create_time": 1662368173000,
      "update_time": 1662368173000
    }
  ],
  "trace": "80ba1f07-1b6f-46ad-81dd-78ac7e9bbccd"
}
FieldTypeDescription
symbolStringSymbol of the contract
order_idStringOrder ID
client_order_idStringClient-defined OrderId (If the field is not defined, a empty string is returned)
sideIntOrder side
hedge mode
-1=buy_open_long
-2=buy_close_short
-3=sell_close_long
-4=sell_open_short
oneway mode
-1=buy
-2=buy(reduce only)
-3=sell(reduce only)
-4=sell
typeStringOrder type
- limit
- market
- trailing
position_modeStringPosition mode
-hedge_mode
-one_way_mode
sizeStringOrder amount
leverageStringLeverage order multipliers
StringStringLeverage order multipliers
open_typeStringOpen type
-cross
-isolated
deal_avg_priceStringAverage deal price
deal_sizeStringDeal amount
priceStringConsignment price
stateIntOrder status
-2=status_check
activation_priceStringActivation price, returned at trailing order
callback_rateStringCallback rate, returned at trailing order
activation_price_typeIntActivation price type, returned at trailing order
-1=last_price
-2=fair_price
preset_take_profit_price_typeIntPre-set TP price type
-1=last_price
-2=fair_price
preset_stop_loss_price_typeIntPre-set SL price type
-1=last_price
-2=fair_price
preset_take_profit_priceStringPre-set TP price
preset_stop_loss_priceStringPre-set SL price
create_timeLongOrder created timestamp (ms)
update_timeLongOrder updated timestamp (ms)